| Field                 | Type                                                | Description                                                                                                                                          |
| --------------------- | --------------------------------------------------- | ---------------------------------------------------------------------------------------------------------------------------------------------------- |
| name                  | u8[32]                                              | Name of the buffer account to store on-chain.                                                                                                        |
| queuePubkey           | publicKey                                           | Public key of the [OracleQueueAccountData](/idl/accounts/OracleQueueAccountData) that is currently assigned to fulfill buffer relayer update request |
| escrow                | publicKey                                           | Token account to reward oracles for completing update request                                                                                        |
| authority             | publicKey                                           | The account delegated as the authority for making account changes.                                                                                   |
| jobPubkey             | publicKey                                           | Public key of the [JobAccountData](/idl/accounts/JobAccountData) that defines how the buffer relayer is updated                                      |
| jobHash               | u8[32]                                              | Used to protect against malicious RPC nodes providing incorrect task definitions to oracles before fulfillment                                       |
| minUpdateDelaySeconds | u32                                                 | Minimum delay between update request                                                                                                                 |
| isLocked              | bool                                                | Whether buffer relayer config is locked for further changes                                                                                          |
| currentRound          | [BufferRelayerRound](/idl/types/BufferRelayerRound) | The current buffer relayer update round that is yet to be confirmed                                                                                  |
| latestConfirmedRound  | [BufferRelayerRound](/idl/types/BufferRelayerRound) | The latest confirmed buffer relayer update round                                                                                                     |
| result                | bytes                                               | The buffer holding the latest confirmed result                                                                                                       |
